Pagina 1 di 3 123 UltimoUltimo
Mostra risultati da 1 a 10 di 25

Discussione: problema upgrade/downgrade driver video

  1. #1
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Messaggi
    17,018
    Grazie dati 
    4,804
    Grazie ricevuti 
    2,590
    Ringraziato in
    2,189 post

    problema upgrade/downgrade driver video



    Facendo le prove per questo problema mi sono trovato ad aggionare il driver video alla versione 346.35, perchè i repo sono fermi alla 343.36, per passare attraverso pacman in modo da non lasciare sporcizia ho utilizzato i pacchetti presi dal repo di arch, oltre al pacchetto principale ho aggiornato:
    lib32-nvidia-libgl
    lib32-nvidia-utils
    nvidia-libgl
    nvidia-utils

    Primo impatto niente direct rendering, applicazioni 2d funzionanti, riavvio il sistema e non sale più X. Vabbè.
    Faccio il downgrade, almeno per poter salire con la grafica, dei pacchetti suddetti rimetto per tutti la vs. nei repo.

    Riavvio, kde sale, ma ora glxinfo butta fuori una sfilza di:
    Xlib: extension "GLX" missing on display ":0".
    e qualunque applicazione 3d si blocca con lo stesso errore.

    Possibile che pur avendo fatto tutto con pacman sono riuscito a "sporcare" il sistema?

    I 346 posso provare a compilarli con makepkg, che non equivale ad installare da sorgenti perchè crea il pacchetto da dare in pasto a pacman (), ma vale la pena?
    «Nessuna quantità di esperimenti potrà dimostrare che ho ragione;
    un unico esperimento potrà dimostrare che ho sbagliato.
    » (A. Einstein)

    Rispondi citando Rispondi citando Il mio PC

  2. # ADS
    Google Adsense Circuito Adsense
    Data registrazione
    da sempre
    Messaggi
    molti
     
  3. #2
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Località
    Nel mondo degli svarioni
    Messaggi
    1,403
    Grazie dati 
    149
    Grazie ricevuti 
    471
    Ringraziato in
    421 post

    Riferimento: problema upgrade/downgrade driver video

    Per prima cosa devi verificare che il modulo "nvidia" sia caricato. Se non lo è, guarda almeno che esista
    Dopo di ciò devi verificare il collegamento libGL.so a cosa punta (che è la prima causa di accelerazione assente).
    Tieni pure il driver più aggiornato, 346.35 su Gentoo è marcato come stabile (io sono ancora al 346.22, ma se è marcato così mi fido abbastanza).

    Rispondi citando Rispondi citando Il mio PC

  4. #3
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Messaggi
    17,018
    Grazie dati 
    4,804
    Grazie ricevuti 
    2,590
    Ringraziato in
    2,189 post

    Riferimento: problema upgrade/downgrade driver video

    Per prima cosa devi verificare che il modulo "nvidia" sia caricato. Se non lo è, guarda almeno che esista
    Ah, già... ecco dov'era il problema, ho downgradato per poter usare internet e nel frattempo me ne sono dimenticato.
    Come faccio a farglielo esistere? Devo ricompilare invece di usare i pacchetti pronti di arch?

    (come al solito le soluzioni degli altri con me non funzionano mai, oppure son cose che ho già fatto. ).
    «Nessuna quantità di esperimenti potrà dimostrare che ho ragione;
    un unico esperimento potrà dimostrare che ho sbagliato.
    » (A. Einstein)

    Rispondi citando Rispondi citando Il mio PC

  5. #4
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Località
    Nel mondo degli svarioni
    Messaggi
    1,403
    Grazie dati 
    149
    Grazie ricevuti 
    471
    Ringraziato in
    421 post

    Riferimento: problema upgrade/downgrade driver video

    No, deve esserci, a meno che tu non stia usando un kernel custom. Il modulo si dovrebbe chiamare nvidia.ko come file, ma su lsmod vedi solo "nvidia".

    Rispondi citando Rispondi citando Il mio PC

  6. #5
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Messaggi
    17,018
    Grazie dati 
    4,804
    Grazie ricevuti 
    2,590
    Ringraziato in
    2,189 post

    Riferimento: problema upgrade/downgrade driver video

    Ah, ecco, il povero lsmod me lo sono dimenticato.
    Io davo "modprobe nvidia" e mi diceva "not found".
    Ora provo.

    Edit: ho trovato il problema, pacman dice: "/usr/lib/modules/extramodules-3.18-ARCH/version: File o directory non esistente", quindi non riesce a installarlo perché tra chakra e arch cambia il nome della cartella di destinazione... ora provo a rimediare con un collegamento simbolico.
    Ultima modifica di Andy86; 01-02-15 alle 23: 35.
    «Nessuna quantità di esperimenti potrà dimostrare che ho ragione;
    un unico esperimento potrà dimostrare che ho sbagliato.
    » (A. Einstein)

    Rispondi citando Rispondi citando Il mio PC

  7. #6
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Località
    Nel mondo degli svarioni
    Messaggi
    1,403
    Grazie dati 
    149
    Grazie ricevuti 
    471
    Ringraziato in
    421 post

    Riferimento: problema upgrade/downgrade driver video

    "/usr/lib/modules"??? Qualcuno deve cambiare spacciatore
    I moduli devono stare in /lib/modules, perché /usr potrebbe non essere disponibile al boot. Non lo dico io, lo dice la FHS

    Rispondi citando Rispondi citando Il mio PC

  8. #7
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Messaggi
    17,018
    Grazie dati 
    4,804
    Grazie ricevuti 
    2,590
    Ringraziato in
    2,189 post

    Riferimento: problema upgrade/downgrade driver video

    Eh, solo che da quando hanno standardizzato /lib è un collegamento simbolico a /usr/lib
    Codice:
    Only registered members can view code.
    Stando al sito ufficiale si chiama "usr merge": TheCaseForTheUsrMerge

    Comunque ho copiato i file da "extramodules-3.18-ARCH" a "extramodules-3.18-CHAKRA".
    Per ora lsmod lo vede (ovvio, sarà ancora caricato quello vecchio), ma modprobe dice "not found".
    Mi fido a riavviare o rischio che non sale più un'altra volta?
    «Nessuna quantità di esperimenti potrà dimostrare che ho ragione;
    un unico esperimento potrà dimostrare che ho sbagliato.
    » (A. Einstein)

    Rispondi citando Rispondi citando Il mio PC

  9. #8
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Località
    Nel mondo degli svarioni
    Messaggi
    1,403
    Grazie dati 
    149
    Grazie ricevuti 
    471
    Ringraziato in
    421 post

    Riferimento: problema upgrade/downgrade driver video

    Citazione Originariamente scritto da Andy86 Vedi messaggio
    Eh, solo che da quando hanno standardizzato /lib è un collegamento simbolico a /usr/lib
    Stando al sito ufficiale si chiama "usr merge": TheCaseForTheUsrMerge
    Dunque alla fine la fazione pro-systemd ha vinto buono a sapersi, vedremo in che direzione andranno gli altri.

    Comunque ho copiato i file da "extramodules-3.18-ARCH" a "extramodules-3.18-CHAKRA".
    Per ora lsmod lo vede (ovvio, sarà ancora caricato quello vecchio), ma modprobe dice "not found".
    Mi fido a riavviare o rischio che non sale più un'altra volta?
    Per "ricaricare" la lista dei moduli disponibili mi pare si debba usare "depmod -e". Alla peggio usi "insmod" che prende come parametro il percorso del modulo. Ah, non l'ho detto perché mi sembrava ovvio, ma non puoi scaricare il modulo se hai l'interfaccia grafica attiva, e non puoi "ricaricarlo" se prima non hai scaricato l'altro

    Rispondi citando Rispondi citando Il mio PC

  10. #9
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Messaggi
    17,018
    Grazie dati 
    4,804
    Grazie ricevuti 
    2,590
    Ringraziato in
    2,189 post

    Riferimento: problema upgrade/downgrade driver video



    Allora, più che ricaricare la lista erano proprio da mettere nella cartella giusta.
    Solo modprobe s'è piantato lo stesso con un "exec format error" e insmod con "invalid module format".

    Vuol dire che quelli di arch non sono compatibili con chakra?

    Se compilo i moduli se li crea da solo quelli giusti?

    Ho provato a backuppare i vecchi e poi inserire quelli, ovviamente non andavano bene.

    Per ora ho rimesso i vecchi e il direct rendering è tornato.
    Probabimente per quello era solo questione di riavviare tutto e non solo la grafica.
    «Nessuna quantità di esperimenti potrà dimostrare che ho ragione;
    un unico esperimento potrà dimostrare che ho sbagliato.
    » (A. Einstein)

    Rispondi citando Rispondi citando Il mio PC

  11. #10
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Località
    Nel mondo degli svarioni
    Messaggi
    1,403
    Grazie dati 
    149
    Grazie ricevuti 
    471
    Ringraziato in
    421 post

    Riferimento: problema upgrade/downgrade driver video

    Citazione Originariamente scritto da Andy86 Vedi messaggio
    Se compilo i moduli se li crea da solo quelli giusti?
    Sì, i moduli sono sempre compilati in modo da poter essere usati su qualsiasi versione del kernel (a patto che abbia le features necessarie ).

    Rispondi citando Rispondi citando Il mio PC

Segnalibri

Regole di scrittura

  • Tu non puoi inviare nuove discussioni
  • Tu non puoi inviare risposte
  • Tu non puoi inviare allegati
  • Tu non puoi modificare i tuoi messaggi
  •  
Cookies:direttiva 2009/136/CE (E-Privacy)

Il sito utilizza cookies propri e di terze parti per maggiori informazioni faq - Termini di servizio - Cookies
Il forum non puo' funzionare senza l'uso dei cookies pertanto l'uso della community è vincolato dall'accettazione degli stessi, nel caso contrario siete pregati di lasciare la community, proseguendo la navigazione acconsenti all’uso dei cookie